cURL
curl -H "X-API-Key: $PARTICLE_API_KEY" \
"https://api.particle.pro/v1/podcasts/transcription/requests?limit=25"{
"data": [
{
"episode_id": "<string>",
"state": "queued",
"admitted_at": "2023-11-07T05:31:56Z",
"completed_at": "2023-11-07T05:31:56Z",
"created_at": "2023-11-07T05:31:56Z",
"failure_reason": "<string>",
"id": "<string>",
"podcast_id": "<string>"
}
],
"has_more": true,
"cursor": "<string>"
}{
"detail": "Property foo is required but is missing.",
"error_code": "<string>",
"errors": [
{
"location": "<string>",
"message": "<string>",
"value": "<unknown>"
}
],
"instance": "https://example.com/error-log/abc123",
"resolve": {
"message": "<string>",
"action": "<string>",
"endpoint": "<string>",
"method": "<string>",
"url": "<string>"
},
"status": 400,
"title": "Bad Request",
"type": "https://example.com/errors/example"
}Podcast Transcription
List transcription requests
Returns your organization’s transcription requests, newest first, filterable by state and podcast. Not billed.
GET
/
v1
/
podcasts
/
transcription
/
requests
cURL
curl -H "X-API-Key: $PARTICLE_API_KEY" \
"https://api.particle.pro/v1/podcasts/transcription/requests?limit=25"{
"data": [
{
"episode_id": "<string>",
"state": "queued",
"admitted_at": "2023-11-07T05:31:56Z",
"completed_at": "2023-11-07T05:31:56Z",
"created_at": "2023-11-07T05:31:56Z",
"failure_reason": "<string>",
"id": "<string>",
"podcast_id": "<string>"
}
],
"has_more": true,
"cursor": "<string>"
}{
"detail": "Property foo is required but is missing.",
"error_code": "<string>",
"errors": [
{
"location": "<string>",
"message": "<string>",
"value": "<unknown>"
}
],
"instance": "https://example.com/error-log/abc123",
"resolve": {
"message": "<string>",
"action": "<string>",
"endpoint": "<string>",
"method": "<string>",
"url": "<string>"
},
"status": 400,
"title": "Bad Request",
"type": "https://example.com/errors/example"
}Authorizations
ApiKeyHeaderBearerAuth
Pass your API key in the X-API-Key header (recommended).
Query Parameters
Results per page
Required range:
1 <= x <= 100Opaque pagination cursor from previous response
Only requests in this state.
Available options:
queued, admitted, transcribed, failed Only requests for this podcast's episodes: slug, ID, or numeric iTunes ID.
Was this page helpful?